<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Route;
use Modules\St\Http\Controllers\SuppliersController;
use Modules\St\Http\Controllers\SupplierSettingController;
use Modules\St\Http\Controllers\StockController;
use Modules\St\Http\Controllers\ProductSettingController;

use Modules\St\Http\Controllers\ModuleController;
use Modules\St\Http\Controllers\PermissionController;
use Modules\St\Http\Controllers\SupplierController2;
use Modules\St\Http\Controllers\ProductController;
use Modules\St\Http\Controllers\UserController;
use Modules\St\Http\Controllers\UserRoleController;
use Modules\St\Http\Controllers\UserRolePermissionController;
use Modules\St\Http\Controllers\GnCustomerController;
use Modules\St\Http\Controllers\StCustomerAttachmentController;






Route::prefix('st')->group(function () {
    Route::get('/', 'StController@index');

    Route::get('/dashboard', function () {
        return view('st::dashboard');
    })->middleware('is.logged');

    Route::get('/create_supplier', function() {
        return view('st::supplier');
    })->middleware('is.logged');

    Route::get('/supplier_settings', function() {
        return view('st::supplier_settings');
    })->middleware('is.logged');

    Route::get('/supplier_list', function() {
        return view('st::supplier_list');
    })->middleware('is.logged');

    Route::get('/create_product', function() {
        return view('st::product');
    })->middleware('is.logged');

    Route::get('/product_settings', function() {
        return view('st::product_settings');
    })->middleware('is.logged');

    Route::get('/product_list', function() {
        return view('st::product_list');
    })->middleware('is.logged');


    Route::get('/st_customer', function () {
        return view('st::st_customer');
    })->middleware('is.logged');

    Route::get('/st_customerList', function () {
        return view('st::st_customerList');
    })->middleware('is.logged');

    Route::get('/st_customer_attachment', function () {
        return view('st::st_customer_attachment');
    })->middleware('is.logged');



    //user permission (sampath)
    Route::get('/user', function () {
        return view('st::user');
    })->middleware('is.logged');

    Route::get('/userList', function () {
        return view('st::userList');
    })->middleware('is.logged');

    Route::get('/userSetting', function () {
        return view('st::setting');
    })->middleware('is.logged');

    Route::get('/permission', function () {
        return view('st::permission');
    })->middleware('is.logged');
    // end user permission (sampath)




    //** Suppliers  */
    Route::get('/supplier/settings', [SupplierController2::class, 'settings']);
    Route::get('/supplier/town/{id}', [SupplierController2::class, 'town']);
    Route::get('/supplier/isDuplicate/{id}', [SupplierController2::class, 'isDuplicate']);
    Route::get('/supplierList/allSuppliers', [SupplierController2::class, 'allSuppliers']);
    Route::get('/supplier/getSupplier/{id}', [SupplierController2::class, 'getSupplier']);

    Route::post('/supplier/save', [SupplierController2::class, 'save']);
    Route::put('/supplier/update/{id}', [SupplierController2::class, 'update']);
    Route::delete('/supplier/delete/{id}', [SupplierController2::class, 'delete']);
    //** End of suppliers */

   //** Supplier Settings */
   Route::get('/supplier/settings/allCountry', [SupplierSettingController::class, 'AllCountry']);
   Route::get('/supplier/allGLPostingData', [SupplierSettingController::class, 'AllGLPostData']);
   Route::get('/supplier/settings/Bank', [SupplierSettingController::class, 'AllBanks']);
   Route::get('/supplier/settings/BankBranch', [SupplierSettingController::class, 'AllBankBranches']);
   Route::get('/supplier/settings/district', [SupplierSettingController::class, 'AllDistrict']);
   Route::get('/supplier/settings/SupplierType', [SupplierSettingController::class, 'AllSupplierType']);
   Route::get('/supplier/settings/SupplierStatus', [SupplierSettingController::class, 'AllSupplierStatus']);
   Route::get('/supplier/settings/town', [SupplierSettingController::class, 'AllTown']);

   Route::post('/supplier/settings/country', [SupplierSettingController::class, 'SaveCountry']);
   Route::post('/supplier/settings/district', [SupplierSettingController::class, 'SaveDistrict']);
   Route::post('/supplier/settings/town', [SupplierSettingController::class, 'SaveTown']);
   Route::post('/supplier/settings/SupplierType',[SupplierSettingController::class, 'SaveSupplierType']);
   Route::post('/supplier/settings/SupplierStatus', [SupplierSettingController::class, 'SaveSupplierStatus']);
   Route::post('/supplier/settings/Bank', [SupplierSettingController::class, 'SaveBank']);
   Route::post('/supplier/settings/BankBranch', [SupplierSettingController ::class, 'SaveBankBranch']);

   Route::put('/supplier/settings/country/{id}', [SupplierSettingController::class, 'UpdateCountry']);
   Route::put('/supplier/settings/district/{id}', [SupplierSettingController::class, 'UpdateDistrict']);
   Route::put('/supplier/settings/town/{id}', [SupplierSettingController::class, 'UpdateTown']);
   Route::put('/supplier/settings/SupplierType/{id}', [SupplierSettingController::class, 'UpdateSupplierType']);
   Route::put('/supplier/settings/SupplierStatus/{id}', [SupplierSettingController::class, 'UpdateSupplierStatus']);
   Route::put('/supplier/settings/Bank/{id}', [SupplierSettingController::class, 'UpdateBank']);
   Route::put('/supplier/settings/BankBranch/{id}', [SupplierSettingController::class, 'UpdateBankBranch']);
   Route::put('/supplier/settings/town', [SupplierSettingController::class, 'UpdateTown']);

   Route::delete('/supplier/settings/country/{id}', [SupplierSettingController::class, 'DisableCountry']);
   Route::delete('/supplier/settings/district/{id}', [SupplierSettingController::class, 'DisableDistrict']);
   Route::delete('/supplier/settings/town/{id}', [SupplierSettingController::class, 'DisableTown']);
   Route::delete('/supplier/settings/SupplierType/{id}', [SupplierSettingController::class, 'DisableSupplierType']);
   Route::delete('/supplier/settings/SupplierStatus/{id}', [SupplierSettingController::class, 'DisableSupplierStatus']);
   Route::delete('/supplier/settings/Bank/{id}', [SupplierSettingController::class, 'DisableBank']);
   Route::delete('/supplier/settings/BankBranch/{id}', [SupplierSettingController::class, 'DisableBankBranch']);
   Route::delete('/supplier/settings/town', [SupplierSettingController::class, 'DisableTown']);
   //** End of supplier settings */


    //** Products */
    Route::get('/product/settings', [ProductController::class, 'settings']);
    Route::get('/product/groupLevel2/{id}', [ProductController::class, 'groupLevel2']);
    Route::get('/product/groupLevel3/{id1}/{id2}', [ProductController::class, 'groupLevel3']);
    Route::get('/product/isDuplicate/{id}', [ProductController::class, 'isDuplicate']);
    Route::get('/product/allProducts', [ProductController::class, 'allProducts']);
    Route::get('/product/getProduct/{id}', [ProductController::class, 'getProduct']);

    Route::post('/product/save', [ProductController::class, 'save']);
    Route::put('/product/update/{id}', [ProductController::class, 'update']);
    Route::delete('/product/delete/{id}', [ProductController::class, 'delete']);
    //** End of products */

   //** Product Settings */
   Route::post('/products/Savegrp1', [ProductSettingController::class, 'Save1']);
   Route::post('/products/Savegrp2', [ProductSettingController::class, 'Save2']);
   Route::post('/products/Savegrp3', [ProductSettingController::class, 'Save3']);
   Route::post('/products/SaveProdutType', [ProductSettingController::class, 'SaveProType']);
   Route::post('/products/SaveUOM', [ProductSettingController::class, 'SaveUnitOfMesurements']);

   Route::get('/products/ReaDataId1', [ProductSettingController::class, 'GetGroupLevel1']);
   Route::get('/products/ReaDataId2', [ProductSettingController::class, 'GetGroupLevel2']);
   Route::get('/products/ReaDataId3', [ProductSettingController::class, 'GetGroupLevel3']);
   Route::get('/products/ReaDataProductType', [ProductSettingController::class, 'GetDataProductType']);
   Route::get('/products/ReadUOM', [ProductSettingController::class, 'GetUOM']);

   Route::get('/products/UpdateUom/{id}', [ProductSettingController::class, 'GetUpdateUom']);
   Route::get('/products/GetUpdateProductType/{id}', [ProductSettingController::class, 'GetUpdateproductType']);
   Route::get('/products/GetLevel3UpdateData/{id}', [ProductSettingController::class, 'GetUpdateLevel3']);
   Route::get('/products/GetLevel2UpdateData/{id}', [ProductSettingController::class, 'GetUpdateLevel2']);
   Route::get('/products/GetLevel1UpdateData/{id}', [ProductSettingController::class, 'GetUpdateLevel1']);

   Route::post('/products/EditUom/{id}', [ProductSettingController::class, 'UpdateUOM']);
   Route::post('/products/EditProductType/{id}', [ProductSettingController::class, 'UpdateProductType']);
   Route::post('/products/EditLevel1/{id}', [ProductSettingController::class, 'UpdateLevel1']);
   Route::post('/products/EditLevel2/{id}', [ProductSettingController::class, 'UpdateLevel2']);
   Route::post('/products/EditLevel3/{id}', [ProductSettingController::class, 'UpdateLevel3']);

   Route::delete('/products/DisableLevel1/{id}', [ProductSettingController::class, 'DisableLevel1']);
   Route::delete('/products/DisableLevel2/{id}', [ProductSettingController::class, 'DisableLevel2']);
   Route::delete('/products/DisableLevel3/{id}', [ProductSettingController::class, 'DisableLevel3']);
   Route::delete('/products/DisableProductType/{id}', [ProductSettingController::class, 'DisableProductType']);
   Route::delete('/products/DisableUom/{id}', [ProductSettingController::class, 'DisableUom']);

   Route::get('/products/LoadLevel1Data', [ProductSettingController::class, 'GetLevel1Data']);
   Route::get('/products/Belowdata1/{id}', [ProductSettingController::class, 'Belowdatalevel1']);
   //** End of product settings */




    //user permission (sampath)

    /** User Setting Controller */
    Route::post('/user/setting/saveUserRole', [UserRoleController::class, 'save']);
    Route::get('/user/setting/allUserRole', [UserRoleController::class, 'allUserRole']);
    Route::get('/user/setting/getUserRole/{id}', [UserRoleController::class, 'getUserRole']);
    Route::put('/user/setting/updateUserRole/{id}', [UserRoleController::class, 'updateUserRole']);
    Route::delete('/user/setting/deleteUserRole/{id}', [UserRoleController::class, 'deleteUserRole']);
    /** End User Setting Controller */


    /** Permission Controller */
    Route::get('/user/permission/allModule', [PermissionController::class, 'allModule']);
    Route::post('/user/permission/savePermission', [PermissionController::class, 'savePermission']);
    Route::get('/user/permission/allPermission', [PermissionController::class, 'allPermission']);
    Route::delete('/user/permission/deletePermission/{id}', [PermissionController::class, 'deletePermission']);
    Route::get('/user/permission/getPermission/{id}', [PermissionController::class, 'getPermission']);
    Route::put('/user/permission/updatePermission/{id}', [PermissionController::class, 'updatePermission']);
    /** End Permission Controller */



    /** User Controller */
    Route::get('/user/allUserRole', [UserController::class, 'allUserRole']);
    Route::get('/user/allSupplier', [UserController::class, 'allSupplier']);
    Route::get('/user/allCustomer', [UserController::class, 'allCustomer']);
    Route::get('/user/allEmployee', [UserController::class, 'allEmployee']);
    Route::post('/user/saveUser', [UserController::class, 'saveUser']);
    Route::get('/user/allUser', [UserController::class, 'allUser']);
    Route::get('/user/getUser/{user_id}/{role_id}', [UserController::class, 'getUser']);
    Route::put('/user/updateUser/{id}', [UserController::class, 'updateUser']);
    Route::delete('/user/delete/{id}', [UserController::class, 'deleteUser']);
    /** End User Controller */


    /** Modules Controller */
    Route::get('/user/setting/allModules/{id}', [ModuleController::class, 'allModules']);
    Route::post('/user/setting/allowModule', [ModuleController::class, 'allowModule']);
    Route::post('/user/setting/removeAllowedModule', [ModuleController::class, 'removeAllowedModule']);
    /** End Modules Controller */


    /** UserRolePermission Controller */
    Route::get('/user/setting/allPermissions/{role_id}/{module_id}', [UserRolePermissionController::class, 'allPermissions']);
    Route::get('/user/setting/allSubPermissions/{role_id}/{module_id}/{permission_id}', [UserRolePermissionController::class, 'allSubPermissions']);
    Route::post('/user/setting/allowPermission', [UserRolePermissionController::class, 'allowPermission']);
    /** End UserRolePermission Controller */

    // end user permission (sampath)


    //customer by nipuna
    Route::get('/Customer/checkcustomerID/{id}', [GnCustomerController::class, 'checkcustomerID']);
    Route::post('/Customer/saveCustomer', [GnCustomerController::class, 'saveCustomer']);
    Route::get('/Customer/EditCustomer/{id}', [GnCustomerController::class, 'EditCustomer']);
    Route::post('/Customer/updateCustomer', [GnCustomerController::class, 'updateCustomer']);

    //customer contacts
    Route::post('/Customer/savecontacts', [GnCustomerController::class, 'savecontacts']);
    Route::get('/Customer/loadcontacts/{id}', [GnCustomerController::class, 'loadcontacts']);
    Route::delete('/Customer/deletecontacts/{id}', [GnCustomerController::class, 'deletecontacts']);
    Route::get('/Customer/EditContct/{id}', [GnCustomerController::class, 'EditContct']);
    Route::post('/Customer/updatecontacts', [GnCustomerController::class, 'updatecontacts']);

    //customer list
    Route::get('/CustomerList/loadCustomers', [GnCustomerController::class, 'loadCustomers']);
    Route::delete('/CustomerList/deleteCustomer/{id}', [GnCustomerController::class, 'deleteCustomer']);

    //customer attachments
    Route::get('customers/all', [StCustomerAttachmentController::class, 'allCustomers']);
    Route::get('SelectedCustomers/name/{id}', [StCustomerAttachmentController::class, 'SelectedCustomersName']);
    Route::post('/attachment/upload', [StCustomerAttachmentController::class, 'upload'])->name('uploadcustomerAttachment');
    Route::get('CustomerAttachment/allFiles/{id}', [StCustomerAttachmentController::class, 'allFiles']);
    Route::get('/CustomerAttachment/delete/{id}', [StCustomerAttachmentController::class, 'delete']);


});
